/* Общие стили модалки */

.modal {
  display: block;
  position: fixed;
  z-index: 1000;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(21, 21, 21, 0.8);
  padding: 100px 0;
  box-sizing: border-box;
  opacity: 0;
  visibility: hidden;
  transition: 0.3s;
}
.modal-content {
  position: relative;
  width: fit-content;
  max-width: 80%;
  background-color: var(--white);
  border-radius: 10px;
  margin: 0 auto;
/*  overflow-y: auto; */
}
/* Кастомизация scrollbar */
.modal-content::-webkit-scrollbar {
  width: 8px;
}
.modal-content::-webkit-scrollbar-track {
  background: #f1f1f1;
}
.modal-content::-webkit-scrollbar-thumb {
  background: #888;
  border-radius: 4px;
}
.modal-content::-webkit-scrollbar-thumb:hover {
  background: #555;
}
/* Firefox scrollbar */
.modal-content {
  scrollbar-width: thin;
  scrollbar-color: #888 #f1f1f1;
}
.modal-open {
  opacity: 1;
  visibility: visible;
}
.modal-close {
  position: absolute;
  top: 15px;
  right: 15px;
  cursor: pointer;
  z-index: 2;
  transition: 0.2s;
}
.modal-close:hover {
  opacity: 0.7;
}
/* Стили обратной связи */

.feedback__wrap {
  position: relative;
  display: flex;
  flex-direction: column;
  padding: 45px 40px;
  width: 400px;
}
.feedback__title {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 12px;
  margin-bottom: 25px;
}
.feedback__title h6 {
  position: relative;
  display: block;
  font-weight: var(--font-semi-bold);
  font-size: 20px;
  color: var(--primary-black);
}
.feedback__title span {
  position: relative;
  display: block;
  font-weight: var(--font-medium);
  font-size: 14px;
  line-height: 17px;
  text-align: center;
  color: #7a7a7a;
  max-width: 90%;
}
.feedback__form {
  position: relative;
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.feedback__form span {
  position: relative;
  display: block;
  font-weight: var(--font-medium);
  font-size: 14px;
  line-height: 17px;
  text-align: center;
  color: #7a7a7a;
  max-width: 90%;
}
.feedback__form span a {
  text-decoration: underline;
}

/* INPUT */

.text-field__label {
  position: relative;
  display: block;
  margin-bottom: 10px;
  font-family: "Manrope", sans-serif;
  font-size: 15px;
  font-weight: var(--font-bold);
}

.text-field__input {
  display: block;
  width: 100%;
  height: 46px;
  padding: 3px 15px 2px;
  word-break: keep-all;
  font-family: "Manrope", sans-serif;
  font-size: 16px;
  font-weight: var(--font-semi-bold);
  line-height: 1.5;
  color: var(--primary-black);
  background-color: var(--white);
  background-clip: padding-box;
  border: 1px solid #bdbdbd;
  border-radius: 10px;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.text-field__input::placeholder {
  color: #212529;
  opacity: 0.4;
}

.text-field__input:focus {
  color: #212529;
  background-color: #fff;
  border-color: #bdbdbd;
  outline: 0;
  box-shadow: 0 0 0 0.2rem rgba(158, 158, 158, 0.25);
}

.text-field__input:disabled,
.text-field__input[readonly] {
  background-color: #f5f5f5;
  opacity: 1;
}
/*  Корзина  */
.empty-cart {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 15px;
  padding: 72px 0;
  width: 400px;
}
.empty-cart span {
  position: relative;
  display: block;
  font-weight: var(--font-semi-bold);
  font-size: 16px;
  color: var(--primary-black);
}

@media (max-width: 991.98px) {
  .modal-content {
    width: 90%;
    max-width: 90%;
  }
  .modal {
  }
  .feedback__wrap {
    width: 100%;
    padding: 40px 35px;
  }
  .empty-cart {
    padding: 63px 0;
    width: 100%;
    height: 75vh;
  }
}
